Categories with default ports, data types, semantic types, facts, the SDK index and a starter per category
GET
/v1/flow/catalogcurl -X GET 'https://api.embodiflow.io/v1/flow/catalog' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
响应
`data` is the `embodiflow-flow-catalog/v1` document. It does not depend on the team and changes only with a platform release.
- dataobject必填
- contractstring必填可选值embodiflow-flow-catalog/v1
- categoriesarray<CatalogCategory>必填
- dataTypesarray<object>必填
- semanticTypesarray<object>必填
- factsarray<object>必填
- sdkIndexobject必填
响应示例
{
"data": {
"contract": "embodiflow-flow-catalog/v1",
"categories": [
{
"id": "export",
"title": "string",
"zh": "string",
"levels": "dataset",
"extraInputs": false,
"addChecks": false,
"workflowTypes": [
"string"
],
"ports": [
{
"level": "dataset",
"reads": "recording",
"inputs": [],
"outputs": []
}
],
"starters": [
{
"level": "dataset",
"reads": "recording",
"example": "string",
"title": {},
"purpose": {},
"source": "string"
}
]
}
],
"dataTypes": [
{
"id": "string",
"zh": "string",
"description": "string",
"layout": [
"string"
],
"contract": "string"
}
],
"semanticTypes": [
{
"id": "scalar",
"meaning": "string",
"shape": {
"kind": "fixed",
"length": 0
},
"pers": "frame",
"geometric": false,
"matchable": false
}
],
"facts": [
{
"id": "cameras",
"type": "string",
"knownFrom": "project",
"description": "string"
}
],
"sdkIndex": {
"contract": "embodiflow-sdk-index/v1",
"module": "string"
}
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1